<?php
    
    namespace backend\actions;
    
    use artbox\core\admin\actions\Index as CoreInde;
    use backend\models\Search;

    class Index extends CoreInde
    {
        public function init()
        {
            $this->_query = call_user_func(
                [
                    $this->model,
                    'find',
                ]
            );
            
            $this->_search = new Search(
                [
                    'model'        => $this->model,
                    'hasLanguage'  => $this->hasLanguage,
                    'controllerId' => $this->controller->id,
                ]
            );
            
            if ($this->hasLanguage) {
                $this->_query->joinWith('language');
            }
            
            $this->parseColumns();
            
            \artbox\core\admin\assets\Index::register($this->controller->view);
        }
    }