<?php
    
    /**
     * @var View                              $this
     * @var \artbox\core\admin\actions\Create $action
     * @var \yii\db\ActiveRecord              $model
     * @var array $languages
     */
    
    use yii\helpers\Inflector;
    use yii\web\View;
    use yiister\gentelella\widgets\Panel;
    
    $modelName = ( new ReflectionClass($model::className()) )->getShortName();
    
    $this->params[ 'breadcrumbs' ][] = [
        'label' => \Yii::t('core', Inflector::pluralize($modelName)),
        'url'   => [ $action->controller->id . '/index' ],
    ];
    
    $this->title = \Yii::t('core', 'Create ' . lcfirst($modelName));
    
    $this->params[ 'breadcrumbs' ][] = $this->title;

?>

<div class="adm-create">
  <div class="x_panel">
    <div class="x_title"><h2><?php echo $this->title; ?></h2><div class="clearfix"></div></div>
    
    <div class="style lang-page-block-wr">
        <?php if (!empty($action->languageFields)) {?>
      <div class="lang-page-block">
          <?php foreach ($languages as $language){?>
            <span class="<?=$language['default'] ? 'active' : ''?>"><?=$language['url']?></span>
          <?php } ?>
        <!-- первому(выбранному языку...) давать active -->
        <!--                        <span class="active">ru</span>-->
        <!--                        <span>укр</span>-->
        <!--                        <span>eng</span>-->
      </div>
      <?php } ?>
      <div class="lang-page-block-text">
        <!-- первому давать active -->
        <?php if (!empty($action->languageFields)) {?>
        <span class="active">Языковой блок</span>
        <?php }?>
        <span>Основной блок</span>
        <?php if ($action->hasAlias){?>
        <span>Seo</span>
        <?PHP }?>
        <?php if ($action->hasGallery){?>
        <span>Галерея</span>
        <?php }?>
      </div>
    </div>
  </div>
  <div class="fix-absolute-panel"></div>
    <?php
        
        
        echo backend\widgets\Form::widget(
            [
                'action' => $action,
                'model'  => $model,
            ]
        );
        
      
    ?>
</div>

