<?php
    
    use artbox\core\seo\UrlManager;
    
    $params = array_merge(
        require( __DIR__ . '/../../common/config/params.php' ),
        require( __DIR__ . '/../../common/config/params-local.php' ),
        require( __DIR__ . '/params.php' ),
        require( __DIR__ . '/params-local.php' )
    );
    
    return [
        'language'            => 'ru-RU',
        'timeZone'            => 'Europe/Kiev',
        'id'                  => 'app-backend',
        'homeUrl'             => '/admin',
        'basePath'            => dirname(__DIR__),
        'controllerNamespace' => 'backend\controllers',
        'bootstrap'           => [ 'log' ],
        'container' => [
            'singletons' => [
                'artbox\core\services\Languages' =>'artbox\core\services\Languages',
            ]
        ],
        'modules'             => [
            'seo'    => [
                'class' => 'artbox\core\seo\Module',
            ],
            'filter' => [
                'class' => 'artbox\catalog\filter\Module',
            ],
        ],
        'components'          => [
            'assetManager'       => [
                'bundles'         => [
                    // new version gentenella
                    'yiister\gentelella\assets\ThemeSrcAsset' => [
                        'basePath' => '@webroot',
                        'baseUrl'  => '@web',
                        'js'       => [],
                    ],
                    'yiister\gentelella\assets\ThemeBuildAsset' => [
                        'basePath' => '@webroot',
                        'baseUrl'  => '@web',
                        'css'      => [],
                    ]
                ],
                'appendTimestamp' => true,
            ],
            'request'            => [
                'csrfParam' => '_csrf-backend',
                'baseUrl'   => '/admin',
            ],
            'user'               => [
                'identityClass'   => 'common\models\User',
                'enableAutoLogin' => true,
                'identityCookie'  => [
                    'name'     => '_identity-backend',
                    'httpOnly' => true,
                ],
            ],
            'session'            => [
                // this is the name of the session cookie used for login on the backend
                'name' => 'advanced-backend',
            ],
            'log'                => [
                'traceLevel' => YII_DEBUG ? 3 : 0,
                'targets'    => [
                    [
                        'class'  => 'yii\log\FileTarget',
                        'levels' => [
                            'error',
                            'warning',
                        ],
                    ],
                ],
            ],
            'errorHandler'       => [
                'errorAction' => 'site/error',
            ],
            'urlManager'         => [
                'enablePrettyUrl' => true,
                'showScriptName'  => false,
                'rules'           => [],
            ],
            'urlManagerFrontend' => [
                'class'           => UrlManager::className(),
                'baseUrl'         => '/',
                'enablePrettyUrl' => true,
                'showScriptName'  => false,
                'rules'           => [],
            ],
        ],
        'params'              => $params,
    ];
