<?php
    /**
     * @var $model object yii\base\DynamicModel
     */
    
    use artbox\core\admin\assets\DateRangePicker;
    use yii\widgets\ActiveForm;
    use yii\web\View;
    use yii\helpers\Html;
    use yiister\gentelella\widgets\Panel;
    
    DateRangePicker::register($this);
    
    $js = <<<JS
var dateRangeInputTo = $('#datemodel-timeto');
var dateRangeInputFrom = $('#datemodel-timefrom');
var dateFormat = 'DD.MM.YY';
dateRangeInputFrom.daterangepicker({
  singleDatePicker: true,
      autoUpdateInput: true,
      locale: {
          cancelLabel: 'Clear',
          format: dateFormat
      }
});
dateRangeInputTo.daterangepicker({
  singleDatePicker: true,
      autoUpdateInput: true,
      locale: {
          cancelLabel: 'Clear',
          format: dateFormat
      }
});
dateRangeInputFrom.on('cancel.daterangepicker', function() {
  //do something, like clearing an input
  dateRangeInputFrom.val('');
});
dateRangeInputTo.on('cancel.daterangepicker', function() {
  //do something, like clearing an input
  dateRangeInputTo.val('');
});
dateRangeInputFrom.val('');
dateRangeInputTo.val('');
JS;
    
    $this->registerJs($js, View::POS_READY);

?>

<?php
    $panel = Panel::begin(
        [
            'header' => 'Excel отчет по заявкам',
        ]
    )
?>
  
  <div class="form-admin-sort-wr">
    <div class="form-admin-sort">
        <?php $form = ActiveForm::begin(
            [
                'action' => [ '/export/view' ],
                'method' => 'POST',
            ]
        ); ?>
      <div class="input-wr">
          <?= $form->field($model, 'timeFrom')
                   ->textInput([ 'class' => '_datepicer' ]); ?>
      </div>
      
      
      <div class="input-wr">
          <?= $form->field($model, 'timeTo')
                   ->textInput([ 'class' => '_datepicer' ]); ?>
      
      </div>
      <div class="form-search-btn-wr">
          <?= Html::submitButton('Получить отчет', [ 'class' => 'btn btn-success' ]) ?>
      </div>
        
        
        <?php ActiveForm::end() ?>
    </div>
  </div>

<?php
    $panel::end();
?>
<?php if(isset($status))
    echo "<h2>{$reason}</h2>";

    ?>
