<?php
    /**
     * @var View     $this
     * @var Settings $model
     */
    
    use common\models\Settings;
    use yii\bootstrap\ActiveForm;
    use yii\bootstrap\Html;
    use yii\bootstrap\Tabs;
    use yii\web\View;
    
    $this->title = 'Основные';
    
    $this->params[ 'breadcrumbs' ][] = $this->title;
$languages = \artbox\core\models\Language::getActive();
?>



            <?php
                $form = ActiveForm::begin();
                ?>
<div class="x_panel panel_settings">
    <div class="x_content">

        <div class="settings-form">
            <div class="lang-settings-block lang-page-block">
                <?php foreach ($languages as $language){?>
                    <span class="<?=$language['default'] ? 'active' : ''?>"><?=$language['url']?></span>
                <?php } ?>
            </div>
                <?php
                echo Tabs::widget(
                    [
                        'options' => [
                            'class' => 'bar_tabs',
                        ],
                        'items'   => [
                            [
                                'label'   => \Yii::t('core', 'Main'),
                                'content' => $this->render(
                                    '_main_tab',
                                    [
                                        'model' => $model,
                                        'form'  => $form,
                                    ]
                                ),
                            ],
                            [
                                'label'   => \Yii::t('core', 'Contact'),
                                'content' => $this->render(
                                    '_contact_tab',
                                    [
                                        'model' => $model,
                                        'form'  => $form,
                                    ]
                                ),
                            ],
                            [
                                'label'   => \Yii::t('core', 'Social'),
                                'content' => $this->render(
                                    '_social_tab',
                                    [
                                        'model' => $model,
                                        'form'  => $form,
                                    ]
                                ),
                            ],
                            [
                                'label'   => \Yii::t('core', 'Mail'),
                                'content' => $this->render(
                                    '_mail_tab',
                                    [
                                        'form' => $form,
                                        'mail' => $mail,
                                    ]
                                ),
                            ],
                            [
                                'label'   => \Yii::t('core', 'Analytics'),
                                'content' => $this->render(
                                    '_codes_tab',
                                    [
                                        'form' => $form,
                                        'model' => $model,
                                    ]
                                ),
                            ],
                        ],
                    ]
                );
                ?>
        </div>

    </div>
</div>
                <?php
                echo '<div class="style buttons-page-wr">';
                    echo Html::submitButton(
                        'Сохранить',
                        [
                            'class' => 'btn btn-success',
                        ]
                    );
                echo '</div>';
                ?>


                <?php
                ActiveForm::end();
            ?>