<?php
    
    /**
     * @var \yii\web\View           $this
     * @var \common\models\Customer $model
     */
    
    use common\models\Customer;
    
    $formatter = \Yii::$app->formatter;

?>

<table>
  <tr>
    <td><b>Имя/Фамилия</b> :</td>
    <td><?= $formatter->asText($model->name) ?></td>
  </tr>
    <tr>
        <td><b>Должность</b> :</td>
        <td><?= $formatter->asText($model->organization) ?></td>
    </tr>
    <tr>

        <td><b>Рабочий статус делегата:</b> :</td>
        <td><?php
            $workStatus=false;
            switch ($model->user_work_status){
                case 0:
                    $workStatus=$model::WORK_STATUS_0;
                    break;
	            case 1:
		            $workStatus=$model::WORK_STATUS_1;
		            break;
	            case 2:
		            $workStatus=$model::WORK_STATUS_2;
		            break;
		            case 3:
	            $workStatus=$model::WORK_STATUS_3;
	            break;
	            case 4:
		            $workStatus=$model::WORK_STATUS_4;
		            break;
            }
            echo \Yii::t('app',
                $workStatus,[],'ru') ?></td>
    </tr>
    <tr>
        <td><b>Официальный почтовый адресс</b> :</td>
        <td><?= $formatter->asText($model->post_address) ?></td>
    </tr>
    <tr>
        <td><b>Email</b> :</td>
        <td><?= $formatter->asText($model->email) ?></td>
    </tr>
    <tr>
        <td><b>Телефон (рабочий)</b> :</td>
        <td><?= $formatter->asText($model->phone_office) ?></td>
    </tr>
    <tr>
        <td><b>Телефон (дополнительный)</b> :</td>
        <td><?= $formatter->asText($model->phone_other) ?></td>
    </tr>
    <tr>
        <td><b>Факс</b> :</td>
        <td><?= $formatter->asText($model->fax) ?></td>
    </tr>

    <tr>
        <td><b>Национальность</b> :</td>
        <td><?= $formatter->asText($model->nationality) ?></td>
    </tr>

    <tr>
        <td><b>Страна</b> :</td>
        <td><?= $formatter->asText($model->country_from) ?></td>
    </tr>
    <tr>
        <td><b>Организация</b> :</td>
        <td><?= $formatter->asText($model->citizenship) ?></td>
    </tr>
  <tr>
    <td><b>Пол</b> :</td>
    <td><?php
            if ($model->gender === Customer::MALE) {
                echo 'Мужской';
            } elseif ($model->gender === Customer::FEMALE) {
                echo 'Женский';
            } else {
                echo 'Не задано';
            }
        ?></td>
  </tr>
  <tr>
    <td><b>Дата рождения</b> :</td>
    <td><?= $formatter->asText($model->birth) ?></td>
  </tr>
    <tr>
        <td colspan="2" align="center">
            <b>Паспортные данные</b>
        </td>
    </tr>
    <tr>
        <td><b>Серия, номер</b> :</td>
        <td><?= $formatter->asText($model->passport_number) ?></td>
    </tr>
    <tr>
        <td><b>Дата выдачи</b> :</td>
        <td><?= $formatter->asText($model->passport_date) ?></td>
    </tr>
    <tr>
        <td><b>Орган выдачи</b> :</td>
        <td><?= $formatter->asText($model->passport_place) ?></td>
    </tr>
    <tr>
        <td><b>Действителен до</b> :</td>
        <td><?= $formatter->asText($model->passport_valid) ?></td>
    </tr>
    <tr>
        <td><b>Нужна виза</b> :</td>
        <td><?= ($model->need_visa==0)?'Нет':'Да' ?></td>
    </tr>
    <tr>
        <td><b>Особенное питание</b> :</td>
        <td><?= $formatter->asText($model->special_meal) ?></td>
    </tr>
    <tr>
        <td><b>Рабочий язык</b> :</td>
        <td><?php

            switch ($model->working_lang){
                case 2:
                    echo "Русский";
                    break;
                case 1:
                    echo "Английский";
                    break;
                case 4:
                    echo "Французcкий";
                    break;
                default:
                    echo "Русский";
                    break;
            }

            ?></td>
    </tr>
</table>
