<?php

namespace common\models;

use artbox\core\models\Image;
use Yii;

/**
 * This is the model class for table "logo".
 *
 * @property int    $id
 * @property int    $image_id
 * @property string $link
 * @property int    $sort
 */
class Logo extends \yii\db\ActiveRecord
{
    /**
     * {@inheritdoc}
     */
    public static function tableName()
    {
        return 'logo';
    }
    
    /**
     * {@inheritdoc}
     */
    public function rules()
    {
        return [
            [ [ 'image_id', 'sort'], 'default', 'value' => null],
            [ [ 'image_id', 'sort'], 'integer'],
            [ [ 'link'], 'string'],
        ];
    }
    
    /**
     * {@inheritdoc}
     */
    public function attributeLabels()
    {
        return [
            'id'       => Yii::t('app', 'ID'),
            'image_id' => Yii::t('app', 'Image ID'),
            'link'     => Yii::t('app', 'Link'),
            'sort'     => Yii::t('app', 'Sort'),
        ];
    }
    
    public function getImage()
    {
        return $this->hasOne(Image::class, [ 'id' => 'image_id' ]);
    }
}
