<?php
    
    namespace common\models;
    
    use Yii;
    use yii\behaviors\AttributeBehavior;
    use yii\behaviors\BlameableBehavior;
    use yii\behaviors\TimestampBehavior;
    use yii\db\ActiveRecord;

    /**
     * This is the model class for table "user_data".
     *
     * @property integer $user_id
     * @property string  $name
     * @property string  $surname
     * @property string  $image
     * @property string  $email
     * @property string  $phone
     * @property integer $created_at
     * @property integer $updated_at
     * @property integer $visited_at
     * @property string  $fullname
     * @property User    $user
     */
    class UserData extends ActiveRecord
    {
        public $email;
        
        
        public function __construct(array $config = [])
        {
            $this->email = \Yii::$app->user->identity->email;
            parent::__construct($config);
        }
        /**
         * @inheritdoc
         */
        public function rules()
        {
            return [
                [
                    [
                        
                        'email',
                    ],
                    'string',
                    'max' => 255,
                ],
                [
                    [ 'email' ],
                    'email',
                ],
                
            ];
        }
        
        /**
         * @inheritdoc
         */
        public function attributeLabels()
        {
            return [
                'email'      => Yii::t('core', 'Email'),
            ];
        }
        
        public function saveData(){
            $user = \Yii::$app->user->identity;
            $user->email = $this->email;
            return $user->save();
        }
        
        
    }
