<?php
    
    namespace common\models\blog;
    
    use artbox\core\models\Alias;
    use artbox\core\models\Language;
    use yii\db\ActiveRecord;
    
    /**
     * This is the model class for table "blog_article_lang".
     *
     * @property integer  $id
     * @property integer  $blog_article_id
     * @property integer  $language_id
     * @property string   $title
     * @property string   $body
     * @property string   $body_preview
     * @property string   $meta_title
     * @property string   $meta_description
     * @property string   $h1
     * @property string   $seo_text
     * @property Article  $article
     * @property Language $language
     * @property Alias    $alias
     */
    class ArticleLang extends ActiveRecord
    {
        /**
         * @inheritdoc
         */
        public static function tableName()
        {
            return 'blog_article_lang';
        }
        
        /**
         * @inheritdoc
         */
        public function rules()
        {
            return [
                [
                    [
                        'title',
                    ],
                    'required',
                ],
                [
                    [
                        'body',
                        'body_preview',
                    ],
                    'string',
                ],
                [
                    [
                        'title',
                    ],
                    'string',
                    'max' => 80,
                ],
            
            ];
        }
        
        public function attributeLabels()
        {
            return [
                'title'        => \Yii::t('core', 'Title'),
                'body'         => \Yii::t('core', 'Body'),
                'body_preview' => \Yii::t('core', 'Body Preview'),
            ];
        }
        
        /**
         * @return \yii\db\ActiveQuery
         */
        public function getAlias()
        {
            return $this->hasOne(Alias::className(), [ 'id' => 'alias_id' ]);
        }
    }
