<?php
    
    namespace common\models\partners;
    
    use yii\db\ActiveRecord;
    
    /**
     * Class SpeakerLang
     *
     * @property string  $description
     * @property string  $title
     * @property integer $partner_id
     * @property integer $language_id
     * @package common\models\page
     */
    class PartnerLang extends ActiveRecord
    {
        public static function primaryKey()
        {
            return [
                'partner_id',
                'language_id',
            ];
        }
        
        public function rules()
        {
            return [
                [
                    [
                        'title',
                        'description',
                    ],
                    'string',
                ],
                [
                    [
                        'partner_id',
                        'language_id',
                    ],
                    'integer',
                ],
            ];
        }
        
        public static function tableName()
        {
            return 'partner_lang';
        }
        
        public function attributeLabels()
        {
            return [
                'title'         => \Yii::t('app', 'Partner title'),
                'description' => \Yii::t('app', 'Partner description'),

            ];
        }
    }