<?php

use yii\db\Migration;

/**
 * Class m181031_104142_parthner_create_table_and_lang_tab
 */
class m181031_104142_parthner_create_table_and_lang_tab extends Migration
{
    /**
     * {@inheritdoc}
     */
    public function safeUp()
    {
	    $this->createTable(
		    'partner',
		    [
			    'id'       => $this->primaryKey(),
			    'sort'     => $this->integer(),
			    'image_id' => $this->integer(),
			    'status'   => $this->boolean(),
		    ]
	    );

	    $this->createTable(
		    'partner_lang',
		    [
			    'partner_id'   => $this->integer(),
			    'language_id'  => $this->integer(),
			    'title'         => $this->string(),
			    'description' => $this->text(),

		    ]
	    );

	    $this->createIndex(
		    'prtnr_idx',
		    'partner_lang',
		    [
			    'partner_id',
			    'language_id',
		    ],
		    true
	    );

	    $this->addForeignKey(
	    	'prtnr_fk',
		    'partner_lang',
		    'partner_id',
		    'partner',
		    'id',
		    'CASCADE',
		    'CASCADE');

	    $this->addForeignKey(
	    	'lng_fk',
		    'partner_lang',
		    'language_id',
		    'language',
		    'id',
		    'CASCADE',
		    'CASCADE');

    }

    /**
     * {@inheritdoc}
     */
    public function safeDown()
    {
	    $this->dropForeignKey('lng_fk', 'speaker_lang');

	    $this->dropForeignKey('prtnr_fk', 'partner_lang');

	    $this->dropIndex(
		    'prtnr_idx',
		    'partner_lang'
	    );

	    $this->dropTable('partner_lang');

	    $this->dropTable('partner');
    }


}
